Skip to content

Get Atto Score

Request

Security
Bearer(Required scopes: api:advanced_insights)
Path
consentIdstringrequired

The consent ID for which we want to fetch the atto-score

accountIdstringrequired

The account ID for which we want to fetch the atto-score

curl -i -X GET \
  'https://uk.api.atto.co/atto-score/v1/consents/{consentId}/accounts/{accountId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Atto Score result for the account specified

Bodyapplication/json
dataobject(DirectID.Insights.Service.Models.AdvancedInsights.AttoScore.AttoScoreData)
metaobject(DirectID.Data.Common.Response.EmptyMetaData)

No meta data corresponding to the response payload

Response
{ "data": { "accountId": "string", "attoScore": 0, "probabilityOfDefault": 0.1, "dateGenerated": "string", "version": "string", "range": { … } }, "meta": {} }